# -*- coding: utf-8 -*-
from plone.app.contenttypes.testing import PLONE_APP_CONTENTTYPES_FIXTURE
from plone.app.robotframework.testing import REMOTE_LIBRARY_BUNDLE_FIXTURE
from plone.app.testing import applyProfile
from plone.app.testing import FunctionalTesting
from plone.app.testing import IntegrationTesting
from plone.app.testing import PloneSandboxLayer
from plone.testing import z2

import sdswas.products


class SdswasProductsLayer(PloneSandboxLayer):

    defaultBases = (PLONE_APP_CONTENTTYPES_FIXTURE,)

    def setUpZope(self, app, configurationContext):
        # Load any other ZCML that is required for your tests.
        # The z3c.autoinclude feature is disabled in the Plone fixture base
        # layer.
        import plone.restapi
        self.loadZCML(package=plone.restapi)
        self.loadZCML(package=sdswas.products)

    def setUpPloneSite(self, portal):
        applyProfile(portal, 'sdswas.products:default')


SDSWAS_PRODUCTS_FIXTURE = SdswasProductsLayer()


SDSWAS_PRODUCTS_INTEGRATION_TESTING = IntegrationTesting(
    bases=(SDSWAS_PRODUCTS_FIXTURE,),
    name='SdswasProductsLayer:IntegrationTesting',
)


SDSWAS_PRODUCTS_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(SDSWAS_PRODUCTS_FIXTURE,),
    name='SdswasProductsLayer:FunctionalTesting',
)


SDSWAS_PRODUCTS_ACCEPTANCE_TESTING = FunctionalTesting(
    bases=(
        SDSWAS_PRODUCTS_FIXTURE,
        REMOTE_LIBRARY_BUNDLE_FIXTURE,
        z2.ZSERVER_FIXTURE,
    ),
    name='SdswasProductsLayer:AcceptanceTesting',
)
